Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.transform
Enum TransformType

    java.lang.Object
      java.lang.Enum<TransformType>
          org.apache.commons.math3.transform.TransformType

All Implemented Interfaces:
  Serializable, Comparable<TransformType>

    public enum TransformType

extends Enum<TransformType>

This enumeration defines the type of transform which is to be computed.

Since:
  3.0
Version:
  $Id: TransformType.java 1364391 2012-07-22 18:21:57Z tn $

Enum Constant Summary
`FORWARD` The type to be specified for forward transforms.
`INVERSE` The type to be specified for inverse transforms.

Method Summary
`static TransformType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransformType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORWARD

    public static final TransformType FORWARD

  The type to be specified for forward transforms.

### INVERSE

    public static final TransformType INVERSE

  The type to be specified for inverse transforms.

Method Detail

### values

    public static TransformType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransformType c : TransformType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransformType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.